Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -3338,58 +3309,39 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> SUBROUTINE ipt_init
 !> initializes the instationary perceived temperature
-!------------------------------------------------------------------------------!
-
- SUBROUTINE ipt_init( age, weight, height, sex, work, actlev, clo,             &
-     ta, vp, ws, tmrt, pair, dt, storage, t_clothing,                          &
-     ipt )
+!--------------------------------------------------------------------------------------------------!
+
+ SUBROUTINE ipt_init( age, weight, height, sex, work, actlev, clo, ta, vp, ws, tmrt, pair, dt,     &
+                      storage, t_clothing, ipt )
 
     IMPLICIT NONE
 !
 !-- Input parameters
+
+    INTEGER(iwp), INTENT(in)  :: sex    !< Persons sex (1 = male, 2 = female)
+
     REAL(wp), INTENT(in) ::  age        !< Persons age          (years)
+    REAL(wp), INTENT(in) ::  dt         !< Timestep             (s)
+    REAL(wp), INTENT(in) ::  height     !< Persons height       (m)7
+    REAL(wp), INTENT(in) ::  pair       !< Air pressure         (hPa)
+    REAL(wp), INTENT(in) ::  ta         !< Air Temperature      (degree_C)
+    REAL(wp), INTENT(in) ::  tmrt       !< Mean radiant temperature   (degree_C)
+    REAL(wp), INTENT(in) ::  vp         !< Vapor pressure       (hPa)
     REAL(wp), INTENT(in) ::  weight     !< Persons weight       (kg)
-    REAL(wp), INTENT(in) ::  height     !< Persons height       (m)
     REAL(wp), INTENT(in) ::  work       !< Current workload     (W)
-    REAL(wp), INTENT(in) ::  ta         !< Air Temperature      (degree_C)
-    REAL(wp), INTENT(in) ::  vp         !< Vapor pressure       (hPa)
     REAL(wp), INTENT(in) ::  ws         !< Wind speed in approx. 1.1m (m/s)
-    REAL(wp), INTENT(in) ::  tmrt       !< Mean radiant temperature   (degree_C)
-    REAL(wp), INTENT(in) ::  pair       !< Air pressure         (hPa)
-    REAL(wp), INTENT(in) ::  dt         !< Timestep             (s)
-    INTEGER(iwp), INTENT(in)  :: sex    !< Persons sex (1 = male, 2 = female)
 !
 !-- Output parameters
     REAL(wp), INTENT(out) ::  actlev
     REAL(wp), INTENT(out) ::  clo
+    REAL(wp), INTENT(out) ::  ipt
     REAL(wp), INTENT(out) ::  storage
     REAL(wp), INTENT(out) ::  t_clothing
-    REAL(wp), INTENT(out) ::  ipt
 !
 !-- Internal variables
-    REAL(wp), PARAMETER :: eps = 0.0005_wp
-    REAL(wp), PARAMETER :: eta = 0._wp
-    REAL(wp) ::  sclo
-    REAL(wp) ::  wclo
-    REAL(wp) ::  d_pmv
-    REAL(wp) ::  svp_ta
-    REAL(wp) ::  sult_lim
-    REAL(wp) ::  dgtcm
-    REAL(wp) ::  dgtcstd
-    REAL(wp) ::  clon
-    REAL(wp) ::  ireq_minimal
-!     REAL(wp) ::  clo_fanger
-    REAL(wp) ::  pmv_w
-    REAL(wp) ::  pmv_s
-    REAL(wp) ::  pmva
-    REAL(wp) ::  ptc
-    REAL(wp) ::  d_std
-    REAL(wp) ::  pmvs
-    REAL(wp) ::  a_surf
-!     REAL(wp) ::  acti
     INTEGER(iwp) ::  ncount
     INTEGER(iwp) ::  nerr_cold
@@ -3398,5 +3350,28 @@
     LOGICAL ::  sultrieness
 
-    storage = 0._wp
+    REAL(wp), PARAMETER :: eps = 0.0005_wp
+    REAL(wp), PARAMETER :: eta = 0.0_wp
+
+!    REAL(wp) ::  acti
+    REAL(wp) ::  a_surf
+!    REAL(wp) ::  clo_fanger
+    REAL(wp) ::  clon
+    REAL(wp) ::  d_pmv
+    REAL(wp) ::  d_std
+    REAL(wp) ::  dgtcm
+    REAL(wp) ::  dgtcstd
+    REAL(wp) ::  ireq_minimal
+    REAL(wp) ::  pmv_s
+    REAL(wp) ::  pmv_w
+    REAL(wp) ::  pmva
+    REAL(wp) ::  pmvs
+    REAL(wp) ::  ptc
+    REAL(wp) ::  sclo
+    REAL(wp) ::  sult_lim
+    REAL(wp) ::  svp_ta
+    REAL(wp) ::  wclo
+
+
+    storage = 0.0_wp
     CALL persdat( age, weight, height, sex, work, a_surf, actlev )
 !
@@ -3415,27 +3390,27 @@
 !
 !-- Decision: firstly calculate for winter or summer clothing
-    IF ( ta <= 10._wp )  THEN
+    IF ( ta <= 10.0_wp )  THEN
 !
 !--    First guess: winter clothing insulation: cold stress
        clo = wclo
        t_clothing = bio_fill_value  ! force initial run
-       CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,         &
-          t_clothing, storage, dt, pmva )
+       CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt,    &
+                            pmva )
        pmv_w = pmva
 
-       IF ( pmva > 0._wp )  THEN
-!
-!--       Case summer clothing insulation: heat load ?            
+       IF ( pmva > 0.0_wp )  THEN
+!
+!--       Case summer clothing insulation: heat load ?
           clo = sclo
           t_clothing = bio_fill_value  ! force initial run
-          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,      &
-             t_clothing, storage, dt, pmva )
+          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt, &
+                               pmva )
           pmv_s = pmva
-          IF ( pmva <= 0._wp )  THEN
-!
-!--          Case: comfort achievable by varying clothing insulation 
-!--          between winter and summer set values
-             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta , sclo,     &
-                            pmv_s, wclo, pmv_w, eps, pmva, ncount, clo )
+          IF ( pmva <= 0.0_wp )  THEN
+!
+!--          Case: comfort achievable by varying clothing insulation between winter and summer set
+!--                values
+             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta , sclo, pmv_s, wclo, pmv_w, eps,&
+                               pmva, ncount, clo )
              IF ( ncount < 0_iwp )  THEN
                 nerr = -1_iwp
@@ -3445,12 +3420,12 @@
              clo = 0.5_wp
              t_clothing = bio_fill_value
-             CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,   &
-                t_clothing, storage, dt, pmva )
+             CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage,  &
+                                  dt, pmva )
           ENDIF
-       ELSE IF ( pmva < -0.11_wp )  THEN
+       ELSE IF ( pmva < - 0.11_wp )  THEN
           clo = 1.75_wp
           t_clothing = bio_fill_value
-          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,      &
-             t_clothing, storage, dt, pmva )
+          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt, &
+                               pmva )
        ENDIF
 
@@ -3460,38 +3435,38 @@
        clo = sclo
        t_clothing = bio_fill_value
-       CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,         &
-          t_clothing, storage, dt, pmva )
+       CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt,    &
+                            pmva )
        pmv_s = pmva
 
-       IF ( pmva < 0._wp )  THEN
+       IF ( pmva < 0.0_wp )  THEN
 !
 !--       Case winter clothing insulation: cold stress ?
           clo = wclo
           t_clothing = bio_fill_value
-          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,      &
-             t_clothing, storage, dt, pmva )
+          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt, &
+                               pmva )
           pmv_w = pmva
 
-          IF ( pmva >= 0._wp )  THEN
-!
-!--          Case: comfort achievable by varying clothing insulation 
-!--          between winter and summer set values
-             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo,      &
-                               pmv_s, wclo, pmv_w, eps, pmva, ncount, clo )
+          IF ( pmva >= 0.0_wp )  THEN
+!
+!--          Case: comfort achievable by varying clothing insulation between winter and summer set
+!--                values
+             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo, pmv_s, wclo, pmv_w, eps, &
+                               pmva, ncount, clo )
              IF ( ncount < 0_wp )  THEN
                 nerr = -1_iwp
                 RETURN
              ENDIF
-          ELSE IF ( pmva < -0.11_wp )  THEN
+          ELSE IF ( pmva < - 0.11_wp )  THEN
              clo = 1.75_wp
              t_clothing = bio_fill_value
-             CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,   &
-                t_clothing, storage, dt, pmva )
+             CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage,  &
+                                  dt, pmva )
           ENDIF
        ELSE IF ( pmva > 0.06_wp )  THEN
           clo = 0.5_wp
           t_clothing = bio_fill_value
-          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,      &
-             t_clothing, storage, dt, pmva )
+          CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt, &
+                               pmva )
        ENDIF
 
@@ -3502,5 +3477,5 @@
     CALL perct_regression( pmva, clo, ipt )
     ptc = ipt
-    IF ( clo >= 1.75_wp  .AND.  pmva <= -0.11_wp )  THEN
+    IF ( clo >= 1.75_wp  .AND.  pmva <= - 0.11_wp )  THEN
 !
 !--    Adjust for cold conditions according to Gagge 1986
@@ -3508,7 +3483,7 @@
        IF ( nerr_cold > 0_iwp )  nerr = -5_iwp
        pmvs = pmva - d_pmv
-       IF ( pmvs > -0.11_wp )  THEN
-          d_pmv  = 0._wp
-          pmvs   = -0.11_wp
+       IF ( pmvs > - 0.11_wp )  THEN
+          d_pmv  = 0.0_wp
+          pmvs   = - 0.11_wp
        ENDIF
        CALL perct_regression( pmvs, clo, ipt )
@@ -3518,7 +3493,6 @@
     IF ( clo > 0.5_wp  .AND.  ipt <= 8.73_wp )  THEN
 !
-!--    Required clothing insulation (ireq) is exclusively defined for 
-!--    perceived temperatures (ipt) less 10 (C) for a 
-!--    reference wind of 0.2 m/s according to 8.73 (C) for 0.1 m/s
+!--    Required clothing insulation (ireq) is exclusively defined for perceived temperatures (ipt)
+!--    less 10 (C) for a reference wind of 0.2 m/s according to 8.73 (C) for 0.1 m/s
        clon = ireq_neutral ( ipt, ireq_minimal, nerr )
        clo = clon
@@ -3526,5 +3500,5 @@
     CALL calc_sultr( ptc, dgtcm, dgtcstd, sult_lim )
     sultrieness    = .FALSE.
-    d_std      = -99._wp
+    d_std      = - 99.0_wp
     IF ( pmva > 0.06_wp  .AND.  clo <= 0.5_wp )  THEN
 !
@@ -3534,41 +3508,36 @@
        pmvs   = pmva + d_pmv
        CALL perct_regression( pmvs, clo, ipt )
-       IF ( sult_lim < 99._wp )  THEN
+       IF ( sult_lim < 99.0_wp )  THEN
           IF ( (ipt - ptc) > sult_lim )  sultrieness = .TRUE.
        ENDIF
     ENDIF
 
- 
+
  END SUBROUTINE ipt_init
- 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> SUBROUTINE ipt_cycle
-!> Calculates one timestep for the instationary version of perceived
-!> temperature (iPT, degree_C) for
-!>  - standard measured/predicted meteorological values and TMRT 
-!>    as input;
+!> Calculates one timestep for the instationary version of perceived temperature (iPT, degree_C) for
+!>  - standard measured/predicted meteorological values and TMRT as input;
 !>  - regressions for determination of PT;
-!>  - adjustment to Gagge's PMV* (2-node-model, 1986) as base of PT 
-!>    under warm/humid conditions (Icl= 0.50 clo) and under cold 
-!>    conditions (Icl= 1.75 clo)
-!>
-!------------------------------------------------------------------------------!
- SUBROUTINE ipt_cycle( ta, vp, ws, tmrt, pair, dt, storage, t_clothing, clo,   &
-     actlev, work, ipt )
+!>  - adjustment to Gagge's PMV* (2-node-model, 1986) as base of PT under warm/humid conditions
+!>    (Icl= 0.50 clo) and under cold conditions (Icl= 1.75 clo)
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE ipt_cycle( ta, vp, ws, tmrt, pair, dt, storage, t_clothing, clo, actlev, work, ipt )
 
     IMPLICIT NONE
 !
 !-- Type of input of the argument list
+    REAL(wp), INTENT ( IN )  ::  actlev  !< Internal heat production    (W)
+    REAL(wp), INTENT ( IN )  ::  clo     !< Clothing index              (no dim)
+    REAL(wp), INTENT ( IN )  ::  dt      !< Timestep                    (s)
+    REAL(wp), INTENT ( IN )  ::  pair    !< Air pressure                (hPa)
     REAL(wp), INTENT ( IN )  ::  ta      !< Air temperature             (degree_C)
+    REAL(wp), INTENT ( IN )  ::  tmrt    !< Mean radiant temperature    (degree_C)
     REAL(wp), INTENT ( IN )  ::  vp      !< Vapor pressure              (hPa)
-    REAL(wp), INTENT ( IN )  ::  tmrt    !< Mean radiant temperature    (degree_C)
+    REAL(wp), INTENT ( IN )  ::  work    !< Mechanical work load        (W)
     REAL(wp), INTENT ( IN )  ::  ws      !< Wind speed                  (m/s)
-    REAL(wp), INTENT ( IN )  ::  pair    !< Air pressure                (hPa)
-    REAL(wp), INTENT ( IN )  ::  dt      !< Timestep                    (s)
-    REAL(wp), INTENT ( IN )  ::  clo     !< Clothing index              (no dim)
-    REAL(wp), INTENT ( IN )  ::  actlev  !< Internal heat production    (W)
-    REAL(wp), INTENT ( IN )  ::  work    !< Mechanical work load        (W)
 !
 !-- In and output parameters
@@ -3580,17 +3549,18 @@
 !
 !-- Type of internal variables
+    INTEGER(iwp) ::  nerr
+    INTEGER(iwp) ::  nerr_cold
+
+    LOGICAL ::  sultrieness
+
     REAL(wp) ::  d_pmv
-    REAL(wp) ::  svp_ta
-    REAL(wp) ::  sult_lim
+    REAL(wp) ::  d_std
     REAL(wp) ::  dgtcm
     REAL(wp) ::  dgtcstd
     REAL(wp) ::  pmva
+    REAL(wp) ::  pmvs
     REAL(wp) ::  ptc
-    REAL(wp) ::  d_std
-    REAL(wp) ::  pmvs
-    INTEGER(iwp) ::  nerr_cold
-    INTEGER(iwp) ::  nerr
-
-    LOGICAL ::  sultrieness
+    REAL(wp) ::  sult_lim
+    REAL(wp) ::  svp_ta
 !
 !-- Initialise
@@ -3601,6 +3571,5 @@
 !
 !-- Determine pmv_adjusted for current conditions
-    CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work,            &
-       t_clothing, storage, dt, pmva )
+    CALL fanger_s_acti ( ta, tmrt, vp, ws, pair, clo, actlev, work, t_clothing, storage, dt, pmva )
 !
 !-- Determine perceived temperature by regression equation + adjustments
@@ -3614,7 +3583,7 @@
        IF ( nerr_cold > 0_iwp )  nerr = -5_iwp
        pmvs = pmva - d_pmv
-       IF ( pmvs > -0.11_wp )  THEN
-          d_pmv  = 0._wp
-          pmvs   = -0.11_wp
+       IF ( pmvs > - 0.11_wp )  THEN
+          d_pmv  = 0.0_wp
+          pmvs   = - 0.11_wp
        ENDIF
        CALL perct_regression( pmvs, clo, ipt )
@@ -3625,5 +3594,5 @@
     CALL calc_sultr( ptc, dgtcm, dgtcstd, sult_lim )
     sultrieness = .FALSE.
-    d_std       = -99._wp
+    d_std       = - 99.0_wp
     IF ( pmva > 0.06_wp  .AND.  clo <= 0.5_wp )  THEN
 !
@@ -3633,5 +3602,5 @@
        pmvs  = pmva + d_pmv
        CALL perct_regression( pmvs, clo, ipt )
-       IF ( sult_lim < 99._wp )  THEN
+       IF ( sult_lim < 99.0_wp )  THEN
           IF ( (ipt - ptc) > sult_lim )  sultrieness = .TRUE.
        ENDIF
@@ -3640,28 +3609,26 @@
  END SUBROUTINE ipt_cycle
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> SUBROUTINE fanger_s calculates the 
-!> actual Predicted Mean Vote (dimensionless) according 
-!> to Fanger corresponding to meteorological (ta,tmrt,pa,ws,pair) 
-!> and individual variables (clo, actlev, eta) considering a storage
-!> and clothing temperature for a given timestep.
-!------------------------------------------------------------------------------!
- SUBROUTINE fanger_s_acti( ta, tmrt, pa, in_ws, pair, in_clo, actlev,          &
-    activity, t_cloth, s, dt, pmva )
+!> SUBROUTINE fanger_s calculates the actual Predicted Mean Vote (dimensionless) according to Fanger
+!> corresponding to meteorological (ta,tmrt,pa,ws,pair) and individual variables (clo, actlev, eta)
+!> considering a storage and clothing temperature for a given timestep.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE fanger_s_acti( ta, tmrt, pa, in_ws, pair, in_clo, actlev, activity, t_cloth, s, dt,    &
+                           pmva )
 
     IMPLICIT NONE
 !
 !--  Input argument types
+    REAL(wp), INTENT ( IN )  ::  activity !< Work load                (W/mÂ²)
+    REAL(wp), INTENT ( IN )  ::  actlev   !< Metabolic + work energy  (W/mÂ²)
+    REAL(wp), INTENT ( IN )  ::  dt       !< Timestep                 (s)
+    REAL(wp), INTENT ( IN )  ::  in_clo   !< Clothing index (clo)     (no dim)
+    REAL(wp), INTENT ( IN )  ::  in_ws    !< Wind speed               (m/s)
+    REAL(wp), INTENT ( IN )  ::  pa       !< Vapour pressure          (hPa)
+    REAL(wp), INTENT ( IN )  ::  pair     !< Air pressure             (hPa)
     REAL(wp), INTENT ( IN )  ::  ta       !< Air temperature          (degree_C)
     REAL(wp), INTENT ( IN )  ::  tmrt     !< Mean radiant temperature (degree_C)
-    REAL(wp), INTENT ( IN )  ::  pa       !< Vapour pressure          (hPa)
-    REAL(wp), INTENT ( IN )  ::  pair     !< Air pressure             (hPa)
-    REAL(wp), INTENT ( IN )  ::  in_ws    !< Wind speed               (m/s)
-    REAL(wp), INTENT ( IN )  ::  actlev   !< Metabolic + work energy  (W/mÂ²)
-    REAL(wp), INTENT ( IN )  ::  dt       !< Timestep                 (s)
-    REAL(wp), INTENT ( IN )  ::  activity !< Work load                (W/mÂ²)
-    REAL(wp), INTENT ( IN )  ::  in_clo   !< Clothing index (clo)     (no dim)
 !
 !-- Output argument types
@@ -3672,45 +3639,49 @@
 !
 !-- Internal variables
-    REAL(wp), PARAMETER  ::  time_equil = 7200._wp
-
-    REAL(wp) ::  f_cl         !< Increase in surface due to clothing    (factor)
-    REAL(wp) ::  heat_convection  !< energy loss by autocnvection       (W)
-    REAL(wp) ::  t_skin_aver  !< average skin temperature               (degree_C)
-    REAL(wp) ::  bc           !< preliminary result storage
-    REAL(wp) ::  cc           !< preliminary result storage
-    REAL(wp) ::  dc           !< preliminary result storage
-    REAL(wp) ::  ec           !< preliminary result storage
-    REAL(wp) ::  gc           !< preliminary result storage
-    REAL(wp) ::  t_clothing   !< clothing temperature                   (degree_C)
-!     REAL(wp) ::  hr           !< radiational heat resistence
-    REAL(wp) ::  clo          !< clothing insulation index              (clo)
-    REAL(wp) ::  ws           !< wind speed                             (m/s)
-    REAL(wp) ::  z1           !< Empiric factor for the adaption of the heat 
-                              !< ballance equation to the psycho-physical scale (Equ. 40 in FANGER)
-    REAL(wp) ::  z2           !< Water vapour diffution through the skin
-    REAL(wp) ::  z3           !< Sweat evaporation from the skin surface
-    REAL(wp) ::  z4           !< Loss of latent heat through respiration
-    REAL(wp) ::  z5           !< Loss of radiational heat
-    REAL(wp) ::  z6           !< Heat loss through forced convection
-    REAL(wp) ::  en           !< Energy ballance                        (W)
-    REAL(wp) ::  d_s          !< Storage delta                          (W)
-    REAL(wp) ::  adjustrate   !< Max storage adjustment rate
-    REAL(wp) ::  adjustrate_cloth  !< max clothing temp. adjustment rate
-
     INTEGER(iwp) :: i         !< running index
     INTEGER(iwp) ::  niter    !< Running index
 
+    REAL(wp), PARAMETER  ::  time_equil = 7200.0_wp
+
+    REAL(wp) ::  adjustrate        !< Max storage adjustment rate
+    REAL(wp) ::  adjustrate_cloth  !< max clothing temp. adjustment rate
+    REAL(wp) ::  bc                !< preliminary result storage
+    REAL(wp) ::  cc                !< preliminary result storage
+    REAL(wp) ::  clo               !< clothing insulation index              (clo)
+    REAL(wp) ::  d_s               !< Storage delta                          (W)
+    REAL(wp) ::  dc                !< preliminary result storage
+    REAL(wp) ::  en                !< Energy ballance                        (W)
+    REAL(wp) ::  ec                !< preliminary result storage
+    REAL(wp) ::  f_cl              !< Increase in surface due to clothing    (factor)
+    REAL(wp) ::  gc                !< preliminary result storage
+    REAL(wp) ::  heat_convection   !< energy loss by autocnvection       (W)
+!    REAL(wp) ::  hr                !< radiational heat resistence
+    REAL(wp) ::  t_clothing        !< clothing temperature                   (degree_C)
+    REAL(wp) ::  t_skin_aver       !< average skin temperature               (degree_C)
+    REAL(wp) ::  ws                !< wind speed                             (m/s)
+    REAL(wp) ::  z1                !< Empiric factor for the adaption of the heat
+                                   !< ballance equation to the psycho-physical scale 
+                                   !< (Equ. 40 in FANGER)
+    REAL(wp) ::  z2                !< Water vapour diffution through the skin
+    REAL(wp) ::  z3                !< Sweat evaporation from the skin surface
+    REAL(wp) ::  z4                !< Loss of latent heat through respiration
+    REAL(wp) ::  z5                !< Loss of radiational heat
+    REAL(wp) ::  z6                !< Heat loss through forced convection
+
+
+
+
 !
 !-- Clo must be > 0. to avoid div. by 0!
     clo = in_clo
-    IF ( clo < 001._wp )  clo = .001_wp
+    IF ( clo < 001.0_wp )  clo = 0.001_wp
 !
 !-- Increase in surface due to clothing
-    f_cl = 1._wp + .15_wp * clo
+    f_cl = 1.0_wp + 0.15_wp * clo
 !
 !-- Case of free convection (ws < 0.1 m/s ) not considered
     ws = in_ws
-    IF ( ws < .1_wp )  THEN
-       ws = .1_wp
+    IF ( ws < 0.1_wp )  THEN
+       ws = 0.1_wp
     ENDIF
 !
@@ -3719,28 +3690,27 @@
 !
 !-- Average skin temperature
-    t_skin_aver = 35.7_wp - .0275_wp * activity
+    t_skin_aver = 35.7_wp - 0.0275_wp * activity
 !
 !-- Calculation of constants for evaluation below
-    bc = .155_wp * clo * 3.96_wp * 10._wp**( -8._wp ) * f_cl
+    bc = 0.155_wp * clo * 3.96_wp * 10.0_wp**( -8.0_wp ) * f_cl
     cc = f_cl * heat_convection
-    ec = .155_wp * clo
-    dc = ( 1._wp + ec * cc ) / bc
-    gc = ( t_skin_aver + bc * ( tmrt + 273.2_wp )**4._wp + ec * cc * ta ) / bc
-!
-!-- Calculation of clothing surface temperature (t_clothing) based on
-!-- newton-approximation with air temperature as initial guess
-    niter = INT( dt * 10._wp, KIND=iwp )
+    ec = 0.155_wp * clo
+    dc = ( 1.0_wp + ec * cc ) / bc
+    gc = ( t_skin_aver + bc * ( tmrt + 273.2_wp )**4.0_wp + ec * cc * ta ) / bc
+!
+!-- Calculation of clothing surface temperature (t_clothing) based on Newton-approximation with air
+!-- temperature as initial guess
+    niter = INT( dt * 10.0_wp, KIND=iwp )
     IF ( niter < 1 )  niter = 1_iwp
-    adjustrate = 1._wp - EXP( -1._wp * ( 10._wp / time_equil ) * dt )
-    IF ( adjustrate >= 1._wp )  adjustrate = 1._wp
-    adjustrate_cloth = adjustrate * 30._wp
+    adjustrate = 1.0_wp - EXP( -1.0_wp * ( 10.0_wp / time_equil ) * dt )
+    IF ( adjustrate >= 1.0_wp )  adjustrate = 1.0_wp
+    adjustrate_cloth = adjustrate * 30.0_wp
     t_clothing = t_cloth
 !
-!-- Set initial values for niter, adjustrates and t_clothing if this is the
-!-- first call
-    IF ( t_cloth <= -998._wp )  THEN  ! If initial run
+!-- Set initial values for niter, adjustrates and t_clothing if this is the first call
+    IF ( t_cloth <= -998.0_wp )  THEN  ! If initial run
        niter = 3_iwp
-       adjustrate = 1._wp
-       adjustrate_cloth = 1._wp
+       adjustrate = 1.0_wp
+       adjustrate_cloth = 1.0_wp
        t_clothing = ta
     ENDIF
@@ -3748,26 +3718,23 @@
 !-- Update clothing temperature
     DO  i = 1, niter
-       t_clothing = t_clothing - adjustrate_cloth * ( ( t_clothing +           &
-          273.2_wp )**4._wp + t_clothing *                                     &
-          dc - gc ) / ( 4._wp * ( t_clothing + 273.2_wp )**3._wp + dc )
+       t_clothing = t_clothing - adjustrate_cloth * ( ( t_clothing + 273.2_wp )**4.0_wp  +         &
+                    t_clothing * dc - gc ) / ( 4.0_wp * ( t_clothing + 273.2_wp )**3.0_wp + dc )
     ENDDO
 !
-!-- Empiric factor for the adaption of the heat ballance equation
-!-- to the psycho-physical scale (Equ. 40 in FANGER)
-    z1 = ( .303_wp * EXP( -.036_wp * actlev ) + .0275_wp )
+!-- Empiric factor for the adaption of the heat ballance equation to the psycho-physical scale
+!-- (Equ. 40 in FANGER)
+    z1 = ( 0.303_wp * EXP( - 0.036_wp * actlev ) + 0.0275_wp )
 !
 !-- Water vapour diffution through the skin
-    z2 = .31_wp * ( 57.3_wp - .07_wp * activity-pa )
+    z2 = 0.31_wp * ( 57.3_wp - 0.07_wp * activity-pa )
 !
 !-- Sweat evaporation from the skin surface
-    z3 = .42_wp * ( activity - 58._wp )
+    z3 = 0.42_wp * ( activity - 58.0_wp )
 !
 !-- Loss of latent heat through respiration
-    z4 = .0017_wp * actlev * ( 58.7_wp - pa ) + .0014_wp * actlev *            &
-      ( 34._wp - ta )
+    z4 = 0.0017_wp * actlev * ( 58.7_wp - pa ) + 0.0014_wp * actlev * ( 34.0_wp - ta )
 !
 !-- Loss of radiational heat
-    z5 = 3.96e-8_wp * f_cl * ( ( t_clothing + 273.2_wp )**4 - ( tmrt +         &
-       273.2_wp )**4 )
+    z5 = 3.96e-8_wp * f_cl * ( ( t_clothing + 273.2_wp )**4 - ( tmrt + 273.2_wp )**4 )
 !
 !-- Heat loss through forced convection
@@ -3778,5 +3745,5 @@
 !
 !-- Manage storage
-    d_s = adjustrate * en + ( 1._wp - adjustrate ) * s
+    d_s = adjustrate * en + ( 1.0_wp - adjustrate ) * s
 !
 !-- Predicted Mean Vote
@@ -3791,5 +3758,5 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
@@ -3798,5 +3765,5 @@
 !> stationary (calculated based on MEMI),
 !> Subroutine based on PETBER vers. 1.5.1996 by P. Hoeppe
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 
  SUBROUTINE calculate_pet_static( ta, vpa, v, tmrt, pair, pet_ij )
@@ -3805,9 +3772,9 @@
 !
 !-- Input arguments:
+    REAL(wp), INTENT( IN ) ::  pair  !< Air pressure                (hPa)
     REAL(wp), INTENT( IN ) ::  ta    !< Air temperature             (degree_C)
     REAL(wp), INTENT( IN ) ::  tmrt  !< Mean radiant temperature    (degree_C)
     REAL(wp), INTENT( IN ) ::  v     !< Wind speed                  (m/s)
     REAL(wp), INTENT( IN ) ::  vpa   !< Vapor pressure              (hPa)
-    REAL(wp), INTENT( IN ) ::  pair  !< Air pressure                (hPa)
 !
 !-- Output arguments:
@@ -3827,6 +3794,6 @@
     REAL(wp) ::  rtv
     REAL(wp) ::  vpts       !< Sat. vapor pressure over skin        (hPa)
+    REAL(wp) ::  tcl        !< Clothing temperature                 (degree_C)
     REAL(wp) ::  tsk        !< Skin temperature                     (degree_C)
-    REAL(wp) ::  tcl        !< Clothing temperature                 (degree_C)
     REAL(wp) ::  wetsk      !< Fraction of wet skin                 (factor)
 !
@@ -3836,32 +3803,30 @@
 !-- MEMI configuration
     REAL(wp) :: age         !< Persons age          (a)
+    REAL(wp) :: clo         !< Clothing insulation index (clo)
+    REAL(wp) :: eta         !< Work efficiency      (dimensionless)
+    REAL(wp) :: fcl         !< Surface area modification by clothing (factor)
+    REAL(wp) :: ht          !< Persons height       (m)
     REAL(wp) :: mbody       !< Persons body mass    (kg)
-    REAL(wp) :: ht          !< Persons height       (m)
     REAL(wp) :: work        !< Work load            (W)
-    REAL(wp) :: eta         !< Work efficiency      (dimensionless)
-    REAL(wp) :: clo         !< Clothing insulation index (clo)
-    REAL(wp) :: fcl         !< Surface area modification by clothing (factor)
-!     INTEGER(iwp) :: pos     !< Posture: 1 = standing, 2 = sitting
-!     INTEGER(iwp) :: sex     !< Sex: 1 = male, 2 = female
+!    INTEGER(iwp) :: pos     !< Posture: 1 = standing, 2 = sitting
+!    INTEGER(iwp) :: sex     !< Sex: 1 = male, 2 = female
 !
 !-- Configuration, keep standard parameters!
-    age   = 35._wp
-    mbody = 75._wp
+    age   = 35.0_wp
+    mbody = 75.0_wp
     ht    =  1.75_wp
-    work  = 80._wp
-    eta   =  0._wp
+    work  = 80.0_wp
+    eta   =  0.0_wp
     clo   =  0.9_wp
     fcl   =  1.15_wp
 !
 !-- Call subfunctions
-    CALL in_body( age, eta, ere, erel, ht, int_heat, mbody, pair, rtv, ta,     &
-            vpa, work )
-
-    CALL heat_exch( acl, adu, aeff, clo, ere, erel, esw, facl, fcl, feff, ht,  &
-            int_heat, mbody, pair, rdcl, rdsk, ta, tcl, tmrt, tsk, v, vpa,     &
-            vpts, wetsk )
-
-    CALL pet_iteration( acl, adu, aeff, esw, facl, feff, int_heat, pair,       &
-            rdcl, rdsk, rtv, ta, tcl, tsk, pet_ij, vpts, wetsk )
+    CALL in_body( age, eta, ere, erel, ht, int_heat, mbody, pair, rtv, ta, vpa, work )
+
+    CALL heat_exch( acl, adu, aeff, clo, ere, erel, esw, facl, fcl, feff, ht, int_heat, mbody,     &
+                    pair, rdcl, rdsk, ta, tcl, tmrt, tsk, v, vpa, vpts, wetsk )
+
+    CALL pet_iteration( acl, adu, aeff, esw, facl, feff, int_heat, pair, rdcl, rdsk, rtv, ta, tcl, &
+                        tsk, pet_ij, vpts, wetsk )
 
 
@@ -3869,21 +3834,20 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate internal energy ballance
-!------------------------------------------------------------------------------!
- SUBROUTINE in_body( age, eta, ere, erel, ht, int_heat, mbody, pair, rtv, ta, &
-    vpa, work )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE in_body( age, eta, ere, erel, ht, int_heat, mbody, pair, rtv, ta, vpa, work )
 !
 !-- Input arguments:
+    REAL(wp), INTENT( IN )  ::  age       !< Persons age              (a)
+    REAL(wp), INTENT( IN )  ::  eta       !< Work efficiency     (dimensionless)
+    REAL(wp), INTENT( IN )  ::  ht        !< Persons height           (m)
+    REAL(wp), INTENT( IN )  ::  mbody     !< Persons body mass        (kg)
     REAL(wp), INTENT( IN )  ::  pair      !< air pressure             (hPa)
     REAL(wp), INTENT( IN )  ::  ta        !< air temperature          (degree_C)
     REAL(wp), INTENT( IN )  ::  vpa       !< vapor pressure           (hPa)
-    REAL(wp), INTENT( IN )  ::  age       !< Persons age              (a)
-    REAL(wp), INTENT( IN )  ::  mbody     !< Persons body mass        (kg)
-    REAL(wp), INTENT( IN )  ::  ht        !< Persons height           (m)
     REAL(wp), INTENT( IN )  ::  work      !< Work load                (W)
-    REAL(wp), INTENT( IN )  ::  eta       !< Work efficiency     (dimensionless)
 !
 !-- Output arguments:
